Subject: RE: Issue: XML_LANG_CLARIFY

From: "Clemm, Geoff" <[email-masked]>
Date: Thu, 26 Apr 2001 09:21:43 -0400

The issue isn't whether the XML spec defines the scope and semantics
of the xml:lang attribute (I agree that it does), but rather 
whether the XML spec requires that all
XML nodes MUST support the xml:lang attribute.  Perhaps someone
could identify the section of the spec that makes this requirement?
(It may well do so ... this isn't one of the specs I've memorized :-).

So if the spec makes this requirement, then I agree that we must allow
it anywhere.  If the spec does *not* make this requirement, then we are
free to state on what element types this attribute MUST NOT appear.

But however we decide to treat the xml:lang attribute, or all attributes
in the xml namespace, we do need to define how all the other attributes
are handled.  I believe the consensus is that all non xml: attributes
MUST NOT appear on a DAV:prop element, so I'm happy with that.

I personally think it is simpler to just say "no attributes on DAV:prop",
rather than making a special case for xml:lang or other properties in the
xml namespace (all you are saving is the few extra bytes it takes up to
distribute those properties to the immediate children of DAV:prop),
but I don't really care much about that, so if folks want to make xml:lang
(or all properties in the xml namespace) special, I can live with that.

Cheers,
Geoff

-----Original Message-----
From: Greg Stein [mailto:[email-masked]]
Sent: Thursday, April 26, 2001 12:42 AM
To: WebDAV WG
Subject: Re: Issue: XML_LANG_CLARIFY

I'm with Julian on this. The XML specification *clearly* states that
xml:lang imposes its value on all its children. That is, it is scoped. Thus,
any properties appear within a scope defined by any/all ancestors.

The prefixes defined by the xmlns: attribute are similarly behaved. We
persist those, without regard to where they may have occurred. xml:lang is
exactly the same.

We should *not* start reinterpreting the XML specifications to suit our
perceptions of how things should work. We chose XML, so we need to abide by
its rules. And one of those is that xml:lang is a scope.

Cheers,
-g

On Wed, Apr 25, 2001 at 10:54:16PM +0200, Julian Reschke wrote:
> No,
> 
> Canonical XML is very clear in that *all* attributes in the XML namespace
> are inherited when XML fragments are persisted/serialized. Thus:
> 
> a) xml:lang may appear in the prop element or on any ancestor,
> 
> b) what needs to be clarified is the behaviour for *other* attributes from
> the XML namespace, such as xml:space and xml:base.
> 
> See also
> 
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2001AprJun/0102.html>
> 
> 
> -----Ursprungliche Nachricht-----
> Von: [email-masked]
> [mailto:[email-masked]]Im Auftrag von Jason Crawford
> Gesendet: Mittwoch, 25. April 2001 21:44
> An: Clemm, Geoff
> Cc: WebDAV WG
> Betreff: RE: Issue: XML_LANG_CLARIFY
> 
> 
> 
> 
> To be persistant, I think we all agree the xml:lang attribute can be on
the
> property node and doesn't have to be on a child.  Do we agree that it can
> even be on the parent of the property node and still be persistant?
> Should we discourage the client from doing this though?
> 
> <D:set>
>  <D:prop xml:lang="NL">
>    <D:displaynname>Kikkers in de koek</D:displayname>
>  </D:prop>
> </D:set>
> 
> 
> ------------------------------------------
> Phone: 914-784-7569,   [email-masked]

-- 
Greg Stein, http://www.lyra.org/

---

From: "Julian Reschke" <[email-masked]>
Date: Thu, 26 Apr 2001 16:58:41 +0200

1) If you don't validate (and although the RFC shows DTD fragments, they
can't be used for validation), any attribute can appear on any element. It's
up the RFC to define what this means.

2) The current RFC current defines that xml:lang is to be persisted, no
matter whether it appears on the property element or an ancestor.

3) Actually, I would prefer to state that *any* attribute can appear on the
property element, and that they all should be persisted. It makes the spec
easier and would conform with Canonical XML.

-----Ursprüngliche Nachricht-----
Von: [email-masked]
[mailto:[email-masked]]Im Auftrag von Clemm, Geoff
Gesendet: Donnerstag, 26. April 2001 15:22
An: WebDAV WG
Betreff: RE: Issue: XML_LANG_CLARIFY

Cheers,
Geoff

-----Original Message-----
From: Greg Stein [mailto:[email-masked]]
Sent: Thursday, April 26, 2001 12:42 AM
To: WebDAV WG
Subject: Re: Issue: XML_LANG_CLARIFY

Cheers,
-g

the